{{#if (and (config-get 'endpoints.sshKey') (or this.features.enterpriseVersion this.repo.private))}}
    <section class="settings-section" data-test-ssh-key-section>
      <h2 class="small-title">
        SSH Key
      </h2>
      {{#if this.model.customSshKey}}
        <SshKey
          @key={{this.model.customSshKey}}
          @sshKeyDeleted={{action "sshKeyDeleted"}}
          @pushAccess={{this.model.hasPushAccess}}
        />
      {{else}}
        <SshKey @key={{this.model.sshKey}} />
        <AddSshKey @repo={{this.repo}} @sshKeyAdded={{action "sshKeyAdded"}} />
      {{/if}}
      {{#unless this.model.hasPushAccess}}
        <p>
          You don't have sufficient permissons to add or remove ssh keys on this repository.
        </p>
      {{/unless}}
    </section>
  {{/if}}